# --8<--8<--8<--8<--
#
# Copyright (C) 2007 Smithsonian Astrophysical Observatory
#
# This file is part of mst-cpan
#
# mst-cpan is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# mst-cpan is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the 
#       Free Software Foundation, Inc. 
#       51 Franklin Street, Fifth Floor
#       Boston, MA  02110-1301, USA
#
# -->8-->8-->8-->8--

package MST::CPAN::Handler::Astro_FITS_CFITSIO;

use strict;
use warnings;

use base 'MST::CPAN::Handler';

sub install
{
    my ( $self ) = @_;

    $self->require('ExtUtils::PkgConfig');
    my $libs = ExtUtils::PkgConfig->libs( "cfitsio" );
    my $inc  = ExtUtils::PkgConfig->cflags( "cfitsio" );

    $self->fix_MakefilePL
      ( 
	qr/^\s+warn.*/ => '',
	qr/^\s+\$inc\s*=.*/ => "\$inc = '$inc';",
	qr/^\s+\$libs\s*=.*/ => "\$libs = '$libs';",
      );

    # work around braindead redhat Perl mods
    if ( $::opt{SysArch}{os_vendor} eq 'RHFC' )
    {
	$self->fix_MakefilePL
	  ( 
	    'WriteMakefile(' => 
	    "WriteMakefile(\n\tUSE_MM_LD_RUN_PATH=>1,"
	  );
    }

    $self->SUPER::install;
}


1;
