# --8<--8<--8<--8<--
#
# Copyright (C) 2007 Smithsonian Astrophysical Observatory
#
# This file is part of mst-cpan
#
# mst-cpan is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# mst-cpan is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the 
#       Free Software Foundation, Inc. 
#       51 Franklin Street, Fifth Floor
#       Boston, MA  02110-1301, USA
#
# -->8-->8-->8-->8--

package MST::CPAN::Handler::Pg;

use strict;
use warnings;

use base 'MST::CPAN::Handler';

sub init
{
    my ( $self ) = @_;

    $self->{ENV}{POSTGRES_LIB} = `pg_config --libdir`;
    $self->{ENV}{POSTGRES_INCLUDE} = `pg_config --includedir`;


    die( "can't run pg_config.  where is it?\n" )
      unless defined $self->{ENV}{POSTGRES_LIB};

    chomp( $self->{ENV}{$_} ) for qw/ POSTGRES_LIB POSTGRES_INCLUDE/;

    $self->{ENV}{DBI_DSN} = "dbi:Pg:dbname=$ENV{USER}";
    $self->{ENV}{DBI_USER} = $ENV{USER};
}

1;
